OptimoCMSDocs

Health

Service health checks

GET
/v1/health

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/health"
{
  "data": {
    "status": "operational",
    "version": "string",
    "timestamp": "2019-08-24T14:15:22Z",
    "services": {
      "property1": "operational",
      "property2": "operational"
    }
  },
  "meta": {
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
{
  "data": {
    "status": "operational",
    "version": "string",
    "timestamp": "2019-08-24T14:15:22Z",
    "services": {
      "property1": "operational",
      "property2": "operational"
    }
  },
  "meta": {
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
GET
/v1/health/detailed

Authorization

ApiKeyAuth
X-Api-Key<token>

API key obtained from the CMS dashboard.

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/health/detailed"
{
  "data": {
    "status": "operational",
    "version": "string",
    "timestamp": "2019-08-24T14:15:22Z",
    "services": {
      "property1": "operational",
      "property2": "operational"
    },
    "latency": {
      "property1": 0,
      "property2": 0
    },
    "uptime": {
      "property1": 0,
      "property2": 0
    }
  },
  "meta": {
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {}
  },
  "meta": {
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
    "timestamp": "2019-08-24T14:15:22Z"
  }
}